
# Resbook BE Revamp

This project is built with **Laravel** to manage base rates, seasonal rates, special rates, and associated rate rules for a room booking system.

## Requirements

- PHP >= 7.4
- Composer
- MySQL or another supported database
- Laravel

## Installation and Setup

### Step 1: Clone the Repository

```bash
git clone https://github.com/TomahawkNZ/new-resbook-rates-be.git
```

### Step 2: Navigate to the Project Directory

```bash
cd new-resbook-rates-be
```

### Step 3: Install Dependencies

```bash
composer install
```

### Step 4: Set Up Environment Variables

1. Copy the `.env.example` file to `.env`:

```bash
cp .env.example .env
```

2. Update the `.env` file with your database credentials:

```env
DB_CONNECTION=mysql
DB_HOST=127.0.0.1
DB_PORT=3306
DB_DATABASE=resbook_be_revamp
DB_USERNAME=root
DB_PASSWORD=yourpassword
```

### Step 5: Generate the Application Key

```bash
php artisan key:generate
```

### Step 6: Run the Migrations

```bash
php artisan migrate
```

### Step 7: Start the Application

You can now start the Laravel development server:

```bash
php artisan serve
```

Visit `http://127.0.0.1:8000` in your browser.

### Step 8: Seed the Database

To populate the database with initial data, including a dummy user and six associated rooms, run the following command:

```bash
php artisan db:seed
```

This command will run the seeders to:
1. Add a dummy user to the `users` table.
2. Populate the `property_rooms` table with six rooms linked to the dummy user’s property.

## Contributing

Feel free to submit issues or pull requests.




