<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Rate extends Model
{
    use HasFactory;

    protected $fillable = [
        'rate_type',
        'base_rate',
        'extra_adult_rate',
        'child_rate',
        'public_holiday_rate',
        'base_guests',
        'child_max_age',
        'max_guests',
        'season_id',
        'room_id',
        'class_id'
    ];

    // Relationships
    public function dates()
    {
        return $this->hasMany(RateDate::class, 'rates_id');
    }

    public function season()
    {
        return $this->belongsTo(Season::class);
    }

    public function specialRates()
    {
        return $this->hasMany(SpecialRate::class, 'rates_id');
    }
}
