<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpecialRate extends Model
{
    use HasFactory;

    protected $table = 'special_rates';

    protected $fillable = [
        'rates_id',
        'specialname',
        'start_date',
        'end_date',
        'message',
    ];

    /**
     * Define a relationship to the Rate model.
     */
    public function rate()
    {
        return $this->belongsTo(Rate::class, 'rates_id');
    }

    /**
     * Define a relationship to the SpecialRateRule model.
     * Each special rate can have multiple rules.
     */
    public function rule()
    {
        return $this->hasMany(SpecialRateRule::class, 'special_rate_id');
    }
}
