<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpecialRateRule extends Model
{
    use HasFactory;

    protected $table = 'special_rate_rules';

    protected $fillable = [
        'special_rate_id',
        'day_of_week',
        'rate_modifier',
        'modifier_type',
        'amount',
    ];

    /**
     * Define a relationship to the SpecialRate model.
     * Each rule belongs to one special rate.
     */
    public function specialRate()
    {
        return $this->belongsTo(SpecialRate::class, 'special_rate_id');
    }
}
