<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRatesTable extends Migration
{
    public function up()
    {
        Schema::create('rates', function (Blueprint $table) {
            $table->id();
            $table->enum('rate_type', ['BASE', 'SEASONAL']);
            $table->decimal('base_rate', 10, 2);
            $table->decimal('extra_adult_rate', 10, 2);
            $table->decimal('child_rate', 10, 2);
            $table->decimal('public_holiday_rate', 10, 2)->nullable();
            $table->integer('base_guests');
            $table->integer('child_max_age');
            $table->integer('max_guests');
            $table->foreignId('season_id')->nullable()->constrained('seasons');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('rates');
    }
}
