<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSpecialRatesTable extends Migration
{
    public function up()
    {
        Schema::create('special_rates', function (Blueprint $table) {
            $table->id();
            $table->foreignId('rates_id')->constrained('rates');
            $table->string('specialname');
            $table->enum('rate_type', ['FIXED', 'PERCENTAGE']);
            $table->decimal('discount_value', 10, 2);
            $table->date('start_date');
            $table->date('end_date');
            $table->enum('apply_unit_rate', ['Y', 'N']);
            $table->enum('apply_extra_adult_rate', ['Y', 'N']);
            $table->enum('apply_child_rate', ['Y', 'N']);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('special_rates');
    }
}
