<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSpecialRateRulesTable extends Migration
{
    public function up()
    {
        Schema::create('special_rate_rules', function (Blueprint $table) {
            $table->id();
            $table->foreignId('special_rate_id')->constrained('special_rates');
            $table->enum('day_of_week', ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']);
            $table->decimal('rate_modifier', 10, 2);
            $table->enum('modifier_type', ['FIXED', 'PERCENTAGE']);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('special_rate_rules');
    }
}
