<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ModifySpecialRatesTable extends Migration
{
    public function up()
    {
        Schema::table('special_rates', function (Blueprint $table) {
            // Remove columns no longer needed
            $table->dropColumn(['rate_type', 'discount_value', 'apply_unit_rate', 'apply_extra_adult_rate', 'apply_child_rate']);

            // Add new column
            $table->text('message')->nullable()->after('specialname');
        });
    }

    public function down()
    {
        Schema::table('special_rates', function (Blueprint $table) {
            // Revert changes: Add removed columns back
            $table->enum('rate_type', ['FIXED', 'PERCENTAGE'])->after('specialname');
            $table->decimal('discount_value', 10, 2)->after('rate_type');
            $table->enum('apply_unit_rate', ['Y', 'N'])->after('discount_value');
            $table->enum('apply_extra_adult_rate', ['Y', 'N'])->after('apply_unit_rate');
            $table->enum('apply_child_rate', ['Y', 'N'])->after('apply_extra_adult_rate');

            // Drop the newly added message column
            $table->dropColumn('message');
        });
    }
}
