<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ModifySpecialRateRulesTable extends Migration
{
    public function up()
    {
        Schema::table('special_rate_rules', function (Blueprint $table) {
            // Remove columns no longer needed
            $table->dropColumn(['rate_modifier', 'modifier_type']);

            // Add new columns
            $table->enum('rate_modifier', ['increase', 'decrease'])->after('day_of_week');
            $table->enum('modifier_type', ['fixed', 'percentage'])->after('rate_modifier');
            $table->decimal('amount', 10, 2)->after('modifier_type');
        });
    }

    public function down()
    {
        Schema::table('special_rate_rules', function (Blueprint $table) {
            // Revert changes: Add removed columns back
            $table->decimal('rate_modifier', 10, 2)->after('day_of_week');
            $table->enum('modifier_type', ['FIXED', 'PERCENTAGE'])->after('rate_modifier');

            // Drop the newly added columns
            $table->dropColumn(['rate_modifier', 'modifier_type', 'amount']);
        });
    }
}
