<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class SetDefaultNullForColumnsInRatesTable extends Migration
{
    public function up()
    {
        Schema::table('rates', function (Blueprint $table) {
            $table->decimal('extra_adult_rate', 10, 2)->nullable()->default(null)->change();
            $table->decimal('child_rate', 10, 2)->nullable()->default(null)->change();
            $table->integer('base_guests')->nullable()->default(null)->change();
            $table->integer('child_max_age')->nullable()->default(null)->change();
            $table->integer('max_guests')->nullable()->default(null)->change();
        });
    }

    public function down()
    {
        Schema::table('rates', function (Blueprint $table) {
            $table->decimal('extra_adult_rate', 10, 2)->nullable(false)->change();
            $table->decimal('child_rate', 10, 2)->nullable(false)->change();
            $table->integer('base_guests')->nullable(false)->change();
            $table->integer('child_max_age')->nullable(false)->change();
            $table->integer('max_guests')->nullable(false)->change();
        });
    }
}
