<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdatePropertyRoomsTable extends Migration
{
    public function up()
    {
        Schema::table('property_rooms', function (Blueprint $table) {
            // Add room-related fields
            $table->string('stock_unit_name')->after('room_id');
            $table->unsignedBigInteger('stock_unit_id')->after('stock_unit_name');
            $table->string('stock_unit_type')->after('stock_unit_id');
            $table->unsignedBigInteger('classification_id')->after('stock_unit_type');
            $table->string('classification_name')->after('classification_id');
            $table->string('classification_type')->after('classification_name');
        });
    }

    public function down()
    {
        Schema::table('property_rooms', function (Blueprint $table) {
            $table->dropColumn([
                'stock_unit_name',
                'stock_unit_id',
                'stock_unit_type',
                'classification_id',
                'classification_name',
                'classification_type'
            ]);
        });
    }
}
